Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff9e::/16
First address
ff9e::
Last address
ff9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff9e:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
e.9.f.f.ip6.arpa
Split into smaller subnets/24

ff9e::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ff9e::/24ff9e:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ff9e:100::/24ff9e:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ff9e:200::/24ff9e:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ff9e:300::/24ff9e:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ff9e:400::/24ff9e:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ff9e:500::/24ff9e:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ff9e:600::/24ff9e:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ff9e:700::/24ff9e:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ff9e:800::/24ff9e:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ff9e:900::/24ff9e:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ff9e:a00::/24ff9e:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ff9e:b00::/24ff9e:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ff9e:c00::/24ff9e:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ff9e:d00::/24ff9e:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ff9e:e00::/24ff9e:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ff9e:f00::/24ff9e:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ff9e:1000::/24ff9e:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ff9e:1100::/24ff9e:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ff9e:1200::/24ff9e:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ff9e:1300::/24ff9e:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ff9e:1400::/24ff9e:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ff9e:1500::/24ff9e:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ff9e:1600::/24ff9e:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ff9e:1700::/24ff9e:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ff9e:1800::/24ff9e:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ff9e:1900::/24ff9e:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ff9e:1a00::/24ff9e:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ff9e:1b00::/24ff9e:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ff9e:1c00::/24ff9e:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ff9e:1d00::/24ff9e:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ff9e:1e00::/24ff9e:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ff9e:1f00::/24ff9e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ff9e:2000::/24ff9e:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ff9e:2100::/24ff9e:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ff9e:2200::/24ff9e:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ff9e:2300::/24ff9e:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ff9e:2400::/24ff9e:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ff9e:2500::/24ff9e:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ff9e:2600::/24ff9e:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ff9e:2700::/24ff9e:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ff9e:2800::/24ff9e:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ff9e:2900::/24ff9e:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ff9e:2a00::/24ff9e:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ff9e:2b00::/24ff9e:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ff9e:2c00::/24ff9e:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ff9e:2d00::/24ff9e:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ff9e:2e00::/24ff9e:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ff9e:2f00::/24ff9e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ff9e:3000::/24ff9e:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ff9e:3100::/24ff9e:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ff9e:3200::/24ff9e:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ff9e:3300::/24ff9e:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ff9e:3400::/24ff9e:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ff9e:3500::/24ff9e:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ff9e:3600::/24ff9e:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ff9e:3700::/24ff9e:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ff9e:3800::/24ff9e:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ff9e:3900::/24ff9e:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ff9e:3a00::/24ff9e:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ff9e:3b00::/24ff9e:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ff9e:3c00::/24ff9e:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ff9e:3d00::/24ff9e:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ff9e:3e00::/24ff9e:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ff9e:3f00::/24ff9e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ff9e:4000::/24ff9e:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ff9e:4100::/24ff9e:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ff9e:4200::/24ff9e:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ff9e:4300::/24ff9e:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ff9e:4400::/24ff9e:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ff9e:4500::/24ff9e:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ff9e:4600::/24ff9e:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ff9e:4700::/24ff9e:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ff9e:4800::/24ff9e:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ff9e:4900::/24ff9e:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ff9e:4a00::/24ff9e:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ff9e:4b00::/24ff9e:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ff9e:4c00::/24ff9e:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ff9e:4d00::/24ff9e:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ff9e:4e00::/24ff9e:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ff9e:4f00::/24ff9e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ff9e:5000::/24ff9e:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ff9e:5100::/24ff9e:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ff9e:5200::/24ff9e:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ff9e:5300::/24ff9e:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ff9e:5400::/24ff9e:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ff9e:5500::/24ff9e:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ff9e:5600::/24ff9e:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ff9e:5700::/24ff9e:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ff9e:5800::/24ff9e:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ff9e:5900::/24ff9e:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ff9e:5a00::/24ff9e:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ff9e:5b00::/24ff9e:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ff9e:5c00::/24ff9e:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ff9e:5d00::/24ff9e:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ff9e:5e00::/24ff9e:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ff9e:5f00::/24ff9e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ff9e:6000::/24ff9e:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ff9e:6100::/24ff9e:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ff9e:6200::/24ff9e:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ff9e:6300::/24ff9e:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ff9e:6400::/24ff9e:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ff9e:6500::/24ff9e:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ff9e:6600::/24ff9e:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ff9e:6700::/24ff9e:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ff9e:6800::/24ff9e:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ff9e:6900::/24ff9e:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ff9e:6a00::/24ff9e:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ff9e:6b00::/24ff9e:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ff9e:6c00::/24ff9e:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ff9e:6d00::/24ff9e:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ff9e:6e00::/24ff9e:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ff9e:6f00::/24ff9e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ff9e:7000::/24ff9e:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ff9e:7100::/24ff9e:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ff9e:7200::/24ff9e:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ff9e:7300::/24ff9e:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ff9e:7400::/24ff9e:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ff9e:7500::/24ff9e:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ff9e:7600::/24ff9e:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ff9e:7700::/24ff9e:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ff9e:7800::/24ff9e:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ff9e:7900::/24ff9e:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ff9e:7a00::/24ff9e:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ff9e:7b00::/24ff9e:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ff9e:7c00::/24ff9e:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ff9e:7d00::/24ff9e:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ff9e:7e00::/24ff9e:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ff9e:7f00::/24ff9e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ff9e:8000::/24ff9e:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ff9e:8100::/24ff9e:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ff9e:8200::/24ff9e:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ff9e:8300::/24ff9e:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ff9e:8400::/24ff9e:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ff9e:8500::/24ff9e:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ff9e:8600::/24ff9e:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ff9e:8700::/24ff9e:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ff9e:8800::/24ff9e:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ff9e:8900::/24ff9e:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ff9e:8a00::/24ff9e:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ff9e:8b00::/24ff9e:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ff9e:8c00::/24ff9e:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ff9e:8d00::/24ff9e:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ff9e:8e00::/24ff9e:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ff9e:8f00::/24ff9e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ff9e:9000::/24ff9e:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ff9e:9100::/24ff9e:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ff9e:9200::/24ff9e:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ff9e:9300::/24ff9e:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ff9e:9400::/24ff9e:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ff9e:9500::/24ff9e:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ff9e:9600::/24ff9e:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ff9e:9700::/24ff9e:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ff9e:9800::/24ff9e:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ff9e:9900::/24ff9e:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ff9e:9a00::/24ff9e:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ff9e:9b00::/24ff9e:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ff9e:9c00::/24ff9e:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ff9e:9d00::/24ff9e:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ff9e:9e00::/24ff9e:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ff9e:9f00::/24ff9e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ff9e:a000::/24ff9e:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ff9e:a100::/24ff9e:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ff9e:a200::/24ff9e:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ff9e:a300::/24ff9e:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ff9e:a400::/24ff9e:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ff9e:a500::/24ff9e:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ff9e:a600::/24ff9e:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ff9e:a700::/24ff9e:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ff9e:a800::/24ff9e:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ff9e:a900::/24ff9e:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ff9e:aa00::/24ff9e:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ff9e:ab00::/24ff9e:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ff9e:ac00::/24ff9e:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ff9e:ad00::/24ff9e:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ff9e:ae00::/24ff9e:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ff9e:af00::/24ff9e:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ff9e:b000::/24ff9e:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ff9e:b100::/24ff9e:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ff9e:b200::/24ff9e:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ff9e:b300::/24ff9e:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ff9e:b400::/24ff9e:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ff9e:b500::/24ff9e:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ff9e:b600::/24ff9e:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ff9e:b700::/24ff9e:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ff9e:b800::/24ff9e:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ff9e:b900::/24ff9e:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ff9e:ba00::/24ff9e:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ff9e:bb00::/24ff9e:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ff9e:bc00::/24ff9e:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ff9e:bd00::/24ff9e:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ff9e:be00::/24ff9e:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ff9e:bf00::/24ff9e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ff9e:c000::/24ff9e:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ff9e:c100::/24ff9e:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ff9e:c200::/24ff9e:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ff9e:c300::/24ff9e:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ff9e:c400::/24ff9e:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ff9e:c500::/24ff9e:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ff9e:c600::/24ff9e:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ff9e:c700::/24ff9e:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ff9e:c800::/24ff9e:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ff9e:c900::/24ff9e:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ff9e:ca00::/24ff9e:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ff9e:cb00::/24ff9e:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ff9e:cc00::/24ff9e:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ff9e:cd00::/24ff9e:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ff9e:ce00::/24ff9e:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ff9e:cf00::/24ff9e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ff9e:d000::/24ff9e:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ff9e:d100::/24ff9e:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ff9e:d200::/24ff9e:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ff9e:d300::/24ff9e:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ff9e:d400::/24ff9e:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ff9e:d500::/24ff9e:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ff9e:d600::/24ff9e:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ff9e:d700::/24ff9e:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ff9e:d800::/24ff9e:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ff9e:d900::/24ff9e:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ff9e:da00::/24ff9e:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ff9e:db00::/24ff9e:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ff9e:dc00::/24ff9e:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ff9e:dd00::/24ff9e:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ff9e:de00::/24ff9e:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ff9e:df00::/24ff9e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ff9e:e000::/24ff9e:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ff9e:e100::/24ff9e:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ff9e:e200::/24ff9e:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ff9e:e300::/24ff9e:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ff9e:e400::/24ff9e:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ff9e:e500::/24ff9e:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ff9e:e600::/24ff9e:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ff9e:e700::/24ff9e:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ff9e:e800::/24ff9e:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ff9e:e900::/24ff9e:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ff9e:ea00::/24ff9e:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ff9e:eb00::/24ff9e:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ff9e:ec00::/24ff9e:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ff9e:ed00::/24ff9e:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ff9e:ee00::/24ff9e:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ff9e:ef00::/24ff9e:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ff9e:f000::/24ff9e:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ff9e:f100::/24ff9e:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ff9e:f200::/24ff9e:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ff9e:f300::/24ff9e:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ff9e:f400::/24ff9e:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ff9e:f500::/24ff9e:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ff9e:f600::/24ff9e:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ff9e:f700::/24ff9e:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ff9e:f800::/24ff9e:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ff9e:f900::/24ff9e:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ff9e:fa00::/24ff9e:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ff9e:fb00::/24ff9e:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ff9e:fc00::/24ff9e:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ff9e:fd00::/24ff9e:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ff9e:fe00::/24ff9e:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ff9e:ff00::/24ff9e:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses